Subject: Re: CreateDB fails with error `DBI connect('dbname=/var/lib/x2go/x2go_sessions', '', ...) failed`

From: Sivachidambaram Somu <[email-masked]>
Date: Wed, 24 Aug 2016 12:00:27 +0530

Hi Mihai,

My apologies for the late reply. I had to undergo a minor surgery and was
out of my machine for a couple of weeks.

Coming back to your question, I do find x2gosqlitewrapper under
'/usr/lib64/x2go' folder (complete contents are listed below). I also find
the 'x2go_sessions' file under '/var/lib/x2go' folder, which is owned by
x2gouser in root domain. This happens automatically after I install
x2goserver.

However, the client still gives out the error mentioned in my first email.

*Contents of '/var/lib/x2go' folder:*

%  sudo ls -lhrt /var/lib/x2go

total 16K

-rw-rw---- 1 root x2gouser 13K Aug 24 11:43 x2go_sessions

*Contents of '/usr/lib64/x2go' folder:*

% ls -lhrt /usr/lib64/x2go

total 132K

-rw-r--r--  1 root root     2.0K Apr 27  2015 x2goutils.pm

-rwxr-xr-x  1 root root     1.3K Apr 27  2015 *x2gosyslog*

-rwxr-xr-x  1 root root     1.3K Apr 27  2015 *x2gosuspend-agent*

-rwxr-xr-x  1 root root      18K Apr 27  2015 *x2gosqlitewrapper.pl
<http://x2gosqlitewrapper.pl>*

-rwxr-xr-x  1 root root     1.3K Apr 27  2015 *x2gormport*

-rwxr-xr-x  1 root root     1.6K Apr 27  2015 *x2gormforward*

-rwxr-xr-x  1 root root     1.4K Apr 27  2015 *x2goresume*

-rw-r--r--  1 root root     1.8K Apr 27  2015 x2gologlevel.pm

-rwxr-xr-x  1 root root     1.1K Apr 27  2015 *x2gologlevel*

-rwxr-xr-x  1 root root     1.8K Apr 27  2015 *x2golistsessions_sql*

-rwxr-xr-x  1 root root     1.3K Apr 27  2015 *x2goinsertsession*

-rwxr-xr-x  1 root root     1.3K Apr 27  2015 *x2goinsertport*

-rwxr-xr-x  1 root root     1.3K Apr 27  2015 *x2gogetstatus*

-rwxr-xr-x  1 root root     1.3K Apr 27  2015 *x2gogetports*

-rwxr-xr-x  1 root root     1.3K Apr 27  2015 *x2gogetdisplays*

-rwxr-xr-x  1 root root     1.8K Apr 27  2015 *x2gogetagentstate*

-rwxr-xr-x  1 root root     1.3K Apr 27  2015 *x2gogetagent*

-rw-r--r--  1 root root      22K Apr 27  2015 x2godbwrapper.pm

-rwxr-xr-x  1 root root     1.4K Apr 27  2015 *x2gocreatesession*

-rwxr-xr-x  1 root root     1.3K Apr 27  2015 *x2gochangestatus*

-rwxr-sr-x  1 root x2gouser 5.1K Apr 27  2015 x2gosqlitewrapper

drwxr-xr-x 14 root root     4.0K Aug 24 11:43 *extensions*

drwxr-xr-x  2 root root     4.0K Aug 24 11:43 *bin*

Regards,
Siva Chidambaram Somu

On Sun, Aug 14, 2016 at 7:40 AM, Mihai Moldovan <[email-masked]> wrote:

> On 14.08.2016 03:12 AM, Sivachidambaram Somu wrote:
> > When I run the command with elevated privileges, the created DB file is
> owned by
> > root and it remains unaccessible when the client tries to establish a
> connection.
>
> That's both true and expected.
>
> The x2goserver scripts (for instance x2golistsessions) call a setuid/setgid
> binary called libx2go-server-db-sqlite3-wrapper (nightlies) or
> x2gosqlitewrapper
> (release version.)
>
> They should reside in /usr/lib/x2go/.
>
> Due to that the session DB can be read even as a user.
>
> Are these binaries not correctly installed on your system?
>
>
>
> Mihai
>
>
>